﻿namespace RocketGMPurchase.Models
{
    /// <summary>
    /// The product's currency code in ISO 4217
    /// </summary>
    internal enum RocGmCurrencyCode
    {
        AED = 784, // United Arab Emirates Dirham
        AFN = 971, // Afghan Afghani
        ALL = 008, // Albanian Lek
        AMD = 051, // Armenian Dram
        ANG = 532, // Netherlands Antillean Guilder
        AOA = 973, // Angolan Kwanza
        ARS = 032, // Argentine Peso
        AUD = 036, // Australian Dollar
        AWG = 533, // Aruban Florin
        AZN = 944, // Azerbaijani Manat
        BAM = 977, // Bosnia-Herzegovina Convertible Mark
        BBD = 052, // Barbadian Dollar
        BDT = 050, // Bangladeshi Taka
        BGN = 975, // Bulgarian Lev
        BHD = 048, // Bahraini Dinar
        BIF = 108, // Burundian Franc
        BMD = 060, // Bermudian Dollar
        BND = 096, // Brunei Dollar
        BOB = 068, // Bolivian Boliviano
        BOV = 984, // Bolivian Mvdol (Funds code)
        BRL = 986, // Brazilian Real
        BSD = 044, // Bahamian Dollar
        BTN = 064, // Bhutanese Ngultrum
        BWP = 072, // Botswana Pula
        BYR = 974, // Belarusian Ruble (pre-2016)
        BYN, // Belarusian Ruble
        BZD = 084, // Belize Dollar
        CAD = 124, // Canadian Dollar
        CDF = 976, // Congolese Franc
        CHE = 947, // WIR Euro (complementary currency)
        CHF = 756, // Swiss Franc
        CHW = 948, // WIR Franc (complementary currency)
        CLF = 990, // Chilean Unit of Account (UF)
        CLP = 152, // Chilean Peso
        CNY = 156, // Chinese Yuan
        COP = 170, // Colombian Peso
        COU = 970, // Unidad de Valor Real (UVR)
        CRC = 188, // Costa Rican Colón
        CUP = 192, // Cuban Peso
        CVE = 132, // Cape Verdean Escudo
        CZK = 203, // Czech Republic Koruna
        DJF = 262, // Djiboutian Franc
        DKK = 208, // Danish Krone
        DOP = 214, // Dominican Peso
        DZD = 012, // Algerian Dinar
        EGP = 818, // Egyptian Pound
        ERN = 232, // Eritrean Nakfa
        ETB = 230, // Ethiopian Birr
        EUR = 978, // Euro
        FJD = 242, // Fijian Dollar
        FKP = 238, // Falkland Islands Pound
        GBP = 826, // British Pound Sterling
        GEL = 981, // Georgian Lari
        GHC = 288, // Ghanaian Cedi (pre-2007)
        GHS, // Ghanaian Cedi
        GIP = 292, // Gibraltar Pound
        GMD = 270, // Gambian Dalasi
        GNF = 324, // Guinean Franc
        GTQ = 320, // Guatemalan Quetzal
        GYD = 328, // Guyanese Dollar
        HKD = 344, // Hong Kong Dollar
        HNL = 340, // Honduran Lempira
        HTG = 332, // Haitian Gourde
        HUF = 348, // Hungarian Forint
        IDR = 360, // Indonesian Rupiah
        ILS = 376, // Israeli New Shekel
        INR = 356, // Indian Rupee
        IQD = 368, // Iraqi Dinar
        IRR = 364, // Iranian Rial
        ISK = 352, // Icelandic Króna
        JMD = 388, // Jamaican Dollar
        JOD = 400, // Jordanian Dinar
        JPY = 392, // Japanese Yen
        KES = 404, // Kenyan Shilling
        KGS = 417, // Kyrgyzstani Som
        KHR = 116, // Cambodian Riel
        KMF = 174, // Comorian Franc
        KPW = 408, // North Korean Won
        KRW = 410, // South Korean Won
        KWD = 414, // Kuwaiti Dinar
        KYD = 136, // Cayman Islands Dollar
        KZT = 398, // Kazakhstani Tenge
        LAK = 418, // Lao Kip
        LBP = 422, // Lebanese Pound
        LKR = 144, // Sri Lankan Rupee
        LRD = 430, // Liberian Dollar
        LSL = 426, // Lesotho Loti
        LYD = 434, // Libyan Dinar
        MAD = 504, // Moroccan Dirham
        MDL = 498, // Moldovan Leu
        MGA = 969, // Malagasy Ariary
        MKD = 807, // Macedonian Denar
        MMK = 104, // Myanma Kyat
        MNT = 496, // Mongolian Tugrik
        MOP = 446, // Macanese Pataca
        MRO = 478, // Mauritanian Ouguiya (pre-2018)
        MUR = 480, // Mauritian Rupee
        MVR = 462, // Maldivian Rufiyaa
        MWK = 454, // Malawian Kwacha
        MXN = 484, // Mexican Peso
        MXV = 979, // Mexican Unidad de Inversion (UDI)
        MYR = 458, // Malaysian Ringgit
        MZN = 943, // Mozambican Metical
        NAD = 516, // Namibian Dollar
        NGN = 566, // Nigerian Naira
        NIO = 558, // Nicaraguan Córdoba
        NOK = 578, // Norwegian Krone
        NPR = 524, // Nepalese Rupee
        NZD = 554, // New Zealand Dollar
        OMR = 512, // Omani Rial
        PAB = 590, // Panamanian Balboa
        PEN = 604, // Peruvian Nuevo Sol
        PGK = 598, // Papua New Guinean Kina
        PHP = 608, // Philippine Peso
        PKR = 586, // Pakistani Rupee
        PLN = 985, // Polish Złoty
        PYG = 600, // Paraguayan Guarani
        QAR = 634, // Qatari Riyal
        RON = 946, // Romanian Leu
        RSD = 941, // Serbian Dinar
        RUB = 643, // Russian Ruble
        RWF = 646, // Rwandan Franc
        SAR = 682, // Saudi Riyal
        SBD = 090, // Solomon Islands Dollar
        SCR = 690, // Seychellois Rupee
        SDD = 736, // Sudanese Dinar (pre-2007)
        SEK = 752, // Swedish Krona
        SGD = 702, // Singapore Dollar
        SHP = 654, // Saint Helena Pound
        SLL = 694, // Sierra Leonean Leone
        SOS = 706, // Somali Shilling
        SRD = 968, // Surinamese Dollar
        STD = 678, // São Tomé and Príncipe Dobra (pre-2018)
        SYP = 760, // Syrian Pound
        SZL = 748, // Swazi Lilangeni
        THB = 764, // Thai Baht
        TJS = 972, // Tajikistani Somoni
        TMM = 795, // Turkmenistani Manat (pre-2009)
        TMT, // Turkmenistani Manat
        TND = 788, // Tunisian Dinar
        TOP = 776, // Tongan Pa'anga
        TRY = 949, // Turkish Lira
        TTD = 780, // Trinidad and Tobago Dollar
        TWD = 901, // New Taiwan Dollar
        TZS = 834, // Tanzanian Shilling
        UAH = 980, // Ukrainian Hryvnia
        UGX = 800, // Ugandan Shilling
        USD = 840, // United States Dollar
        USN = 997, // United States Dollar (Next day) (funds code)
        UYU = 858, // Uruguayan Peso
        UZS = 860, // Uzbekistani Som
        VEB = 861, // Venezuelan Bolívar (pre-2008)
        VES = 862, // Venezuelan Bolívar (pre-2008)
        VND = 704, // Vietnamese Dong
        VUV = 548, // Vanuatu Vatu
        WST = 882, // Samoan Tala
        XAF = 950, // Central African CFA Franc BEAC
        XAG = 961, // Silver (one troy ounce)
        XAU = 959, // Gold (one troy ounce)
        XBA = 955, // European Composite Unit (EURCO)
        XBB = 956, // European Monetary Unit (E.M.U.-6)
        XBC = 957, // European Unit of Account 9 (E.U.A.-9)
        XBD = 958, // European Unit of Account 17 (E.U.A.-17)
        XCD = 951, // East Caribbean Dollar
        XDR = 960, // Special Drawing Rights (SDR)
        XOF = 952, // West African CFA Franc
        XPD = 964, // Palladium (one troy ounce)
        XPF = 953, // CFP Franc
        XPT = 962, // Platinum (one troy ounce)
        XTS = 963, // Codes specifically reserved for testing purposes
        XXX = 999, // No currency
        YER = 886, // Yemeni Rial
        ZAR = 710, // South African Rand
        ZMK = 894, // Zambian Kwacha (pre-2013)
        ZWD = 716, // Zimbabwean Dollar (pre-2009)
        ZWL, // Zimbabwean Dollar
        ZMW, // Zambian Kwacha
        FOK, // Faroese Króna
        GGP, // Guernsey Pound
        HRK, // Croatian Kuna
        IMP, // Isle of Man Pound
        JEP, // Jersey Pound
        KID, // Kiribati Dollar
        MRU, // Mauritanian Ouguiya
        SDG, // Sudanese Pound
        SSP, // South Sudanese Pound
        STN // São Tomé and Príncipe Dobra
    }
}